français

FAQ : comment activer TLS 1.2 pour ArcGIS Runtime SDK for .NET ?

Question

FAQ : comment activer TLS 1.2 pour ArcGIS Runtime SDK for .NET ?

Réponse

Esri s’est engagé à établir et assurer une sécurité renforcée sur la plateforme ArcGIS ainsi qu’à soutenir nos clients en faisant appel aux protocoles de sécurité les plus récents. Nous nous efforçons de mettre en œuvre les normes industrielles les plus élevées, notamment le protocole TLS, afin de garantir l’intégrité des données et la sécurité des réseaux.

Pour se conformer à ces normes, Esri propose des mises à jour logicielles sur la plateforme ArcGIS de manière à prendre en charge TLS 1.2. Dans le cadre de l’amélioration de la sécurité sous ArcGIS Online, Esri réclame des connexions TLS 1.2 pour l’exécution des services ArcGIS Online. Une intervention de l’utilisateur est obligatoire afin de garantir un accès continu à ces services.

Remarque :
Reportez-vous aux pages Product Life Cycle sur le site du support technique Esri pour en savoir plus sur la prise en charge de chaque version publiée de ArcGIS Runtime SDK for .NET.

ArcGIS Runtime SDK for .NET v100.4
TLS 1.2 compatible : aucune intervention n’est nécessaire. Cela concerne les applications UWP, WPF, Xamarin.Android, Xamarin.iOS et Xamarin.Forms (Android, iOS, et UWP)

Android : TLS 1.2 n’est pas disponible sous Android API 19 lorsque vous utilisez l’implémentation Android HttpClient.
Les options recommandées lorsque vous choisissez les options de projet d’applis Android sont les suivantes :

  • Option d’implémentation HttpClient : Android
  • Option d’implémentation SSL/TLS : Native TLS 1.2+
  • Option de version Android minimale : Android 5.0 (API Level 21 - Lollipop).

La configuration Xamarin.Android HttpClient se trouve sous le bouton Project Options > Android Options, Advanced Options.
Pour en savoir plus, reportez-vous à la rubrique : HttpClient Stack and SSL/TLS Implementation Selector for Android

ArcGIS Runtime SDK for .NET (WPF API) 10.2.7

  • Option 1 - Mise à jour des applications WPF vers Microsoft .NET Framework 4.6 (ou version ultérieure). Il est possible de mettre à jour les applications WPF créées avec ArcGIS Runtime SDK for .NET (WPF) 10.2.7 vers Microsoft .NET Framework v4.6 (ou version ultérieure), de les recompiler et de les redéployer.
  • Option 2 (non recommandée) - Les applications WPF créées avec ArcGIS Runtime SDK for .NET (WPF) 10.2.7 peuvent continuer de cibler Microsoft .NET Framework v4.5.2 (configuration minimale requise à la date de publication), mais doivent choisir l’utilisation de TLS 1.2 via l’appel :
 ServicePointManager.SecurityProtocol = SecurityProtocolType.Tls12
Pour en savoir plus, reportez-vous à la documentation Transport Layer Security (TLS) best practices with the .NET Framework

ArcGIS Runtime SDK for .NET (API Windows Store 8.1) 10.2.7
TLS 1.2 n’est pas pris en charge.

ArcGIS Runtime SDK for .NET (API Windows Phone 8.1) 10.2.7
TLS 1.2 n’est pas pris en charge.

Remarque :
Reportez-vous à la page Esri Support TLS pour obtenir des instructions sur l’utilisation de TLS 1.2 avec les autres produits Esri.

Related Information